org.jfree.chart.renderer.xy

## Class CyclicXYItemRenderer.OverwriteDataSet

- java.lang.Object
- - org.jfree.chart.renderer.xy.CyclicXYItemRenderer.OverwriteDataSet

All Implemented Interfaces:
  Dataset, SeriesDataset, XYDataset

Enclosing class:
  CyclicXYItemRenderer

    protected static class CyclicXYItemRenderer.OverwriteDataSet
    extends java.lang.Object
    implements XYDataset

A dataset to hold the interpolated points when drawing new lines.

### Field Summary

Fields
`protected XYDataset` `delegateSet` The delegate dataset.

### Constructor Summary

Constructors
Constructor and Description
`CyclicXYItemRenderer.OverwriteDataSet(double[] x, double[] y, XYDataset delegateSet)` Creates a new dataset.

### Method Summary

Methods
`void` `addChangeListener(DatasetChangeListener listener)` Does nothing.
`DomainOrder` `getDomainOrder()` Returns the order of the domain (X) values.
`DatasetGroup` `getGroup()` Returns the dataset group.
`int` `getItemCount(int series)` Returns the number of items for the given series.
`int` `getSeriesCount()` Returns the number of series in the dataset.
`java.lang.Comparable` `getSeriesKey(int series)` Returns the name of the given series.
`java.lang.Number` `getX(int series, int item)` Returns the x-value.
`double` `getXValue(int series, int item)` Returns the x-value (as a double primitive) for an item within a series.
`java.lang.Number` `getY(int series, int item)` Returns the y-value.
`double` `getYValue(int series, int item)` Returns the y-value (as a double primitive) for an item within a series.
`int` `indexOf(java.lang.Comparable seriesName)` Returns the index of the named series, or -1.
`void` `removeChangeListener(DatasetChangeListener listener)` Does nothing.
`void` `setGroup(DatasetGroup group)` Does nothing.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### delegateSet

    protected XYDataset delegateSet

The delegate dataset.

### Constructor Detail

#### CyclicXYItemRenderer.OverwriteDataSet

    public CyclicXYItemRenderer.OverwriteDataSet(double[] x,
                                         double[] y,
                                         XYDataset delegateSet)

Creates a new dataset.

Parameters:
  `x` - the x values.
  `y` - the y values.
  `delegateSet` - the dataset.

### Method Detail

#### getDomainOrder

    public DomainOrder getDomainOrder()

Returns the order of the domain (X) values.

Specified by:
  `getDomainOrder` in interface `XYDataset`
Returns:
  The domain order.

#### getItemCount

    public int getItemCount(int series)

Returns the number of items for the given series.

Specified by:
  `getItemCount` in interface `XYDataset`
Parameters:
  `series` - the series index (zero-based).
Returns:
  The item count.

#### getX

    public java.lang.Number getX(int series,
                        int item)

Returns the x-value.

Specified by:
  `getX` in interface `XYDataset`
Parameters:
  `series` - the series index (zero-based).
  `item` - the item index (zero-based).
Returns:
  The x-value.

#### getXValue

    public double getXValue(int series,
                   int item)

Returns the x-value (as a double primitive) for an item within a series.

Specified by:
  `getXValue` in interface `XYDataset`
Parameters:
  `series` - the series (zero-based index).
  `item` - the item (zero-based index).
Returns:
  The x-value.

#### getY

    public java.lang.Number getY(int series,
                        int item)

Returns the y-value.

Specified by:
  `getY` in interface `XYDataset`
Parameters:
  `series` - the series index (zero-based).
  `item` - the item index (zero-based).
Returns:
  The y-value.

#### getYValue

    public double getYValue(int series,
                   int item)

Returns the y-value (as a double primitive) for an item within a series.

Specified by:
  `getYValue` in interface `XYDataset`
Parameters:
  `series` - the series (zero-based index).
  `item` - the item (zero-based index).
Returns:
  The y-value.

#### getSeriesCount

    public int getSeriesCount()

Returns the number of series in the dataset.

Specified by:
  `getSeriesCount` in interface `SeriesDataset`
Returns:
  The series count.

#### getSeriesKey

    public java.lang.Comparable getSeriesKey(int series)

Returns the name of the given series.

Specified by:
  `getSeriesKey` in interface `SeriesDataset`
Parameters:
  `series` - the series index (zero-based).
Returns:
  The series name.

#### indexOf

    public int indexOf(java.lang.Comparable seriesName)

Returns the index of the named series, or -1.

Specified by:
  `indexOf` in interface `SeriesDataset`
Parameters:
  `seriesName` - the series name.
Returns:
  The index.

#### addChangeListener

    public void addChangeListener(DatasetChangeListener listener)

Does nothing.

Specified by:
  `addChangeListener` in interface `Dataset`
Parameters:
  `listener` - ignored.

#### removeChangeListener

    public void removeChangeListener(DatasetChangeListener listener)

Does nothing.

Specified by:
  `removeChangeListener` in interface `Dataset`
Parameters:
  `listener` - ignored.

#### getGroup

    public DatasetGroup getGroup()

Returns the dataset group.

Specified by:
  `getGroup` in interface `Dataset`
Returns:
  The dataset group.

#### setGroup

    public void setGroup(DatasetGroup group)

Does nothing.

Specified by:
  `setGroup` in interface `Dataset`
Parameters:
  `group` - ignored.